user error on some blogs

OK I have reverted to twentytwelve theme. I have deactivated all plugins and I have tried reinstalling the Wordress core files but I still have this message on the user page only on some blogs:
Warning: array_keys() expects parameter 1 to be array, boolean given in /home/verysimp/public_html/wp-admin/includes/class-wp-users-list-table.php on line 196

The effect seems to be that in any drop downs where there should be user roles listed to choose from, there are no options to choose. This is true on the user admin pages of those blogs, the main blog and the network admin with plugins where I should be able to choose user roles (eg Easy Blogging menu customizer).

Any ideas?